unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, BaucheOcxLib_TLB, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    BaucheOcx1: TBaucheOcx;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
         BaucheOcx1.GetFormatCount(BaucheOcx1.GetMainCameraID(1));
         BaucheOcx1.CAM_Open(BaucheOcx1.GetMainCameraID(1), 1, 1600, 1200)
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
           BaucheOcx1.CAM_Close()
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
        BaucheOcx1.CAM_zoomin()
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     BaucheOcx1.CAM_zoomout()
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
       BaucheOcx1.CAM_RotateL()
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
       BaucheOcx1.CAM_RotateR()
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
         BaucheOcx1.BestSize()
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
     BaucheOcx1.TrueSize()
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
       BaucheOcx1.CaptureImageJava()
end;

end.
